using Models.Jeux;
using Models.Jeux.Plateau;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TestUnit
{
    public class TestJoueur
    {
        [Fact]
        public void TestConstructorValid()
        {
            Joueur J1 = new Joueur("Robert", Couleur.NOIR);

            Assert.NotNull(J1);
            Assert.Equal("Robert", J1.Nom);
            Assert.Equal(Couleur.NOIR, J1.CouleurDePion);
            Assert.Equal(0, J1.NbPions);
        }
        [Fact]
        public void TestSetCouleurDePion()
        {
            Joueur J1 = new Joueur("Robert", Couleur.NOIR);
            J1.CouleurDePion = Couleur.BLANC;
            Assert.Equal(Couleur.BLANC, J1.CouleurDePion);
        }
        [Fact]
        public void TestSetNbPions()
        {
            Joueur J1 = new Joueur("Robert", Couleur.NOIR);
            J1.NbPions = 25;
            Assert.Equal(25, J1.NbPions);
        }
        [Fact]
        public void TestConstructorInvalid()
        {
            Joueur J1 = new Joueur(null, Couleur.NOIR);
            Assert.Equal("Invité", J1.Nom);
        }
            



    }
}
